package com.ejie.ab79.model.expedientes;

/**
 * RelExpDir  
 * 
 *  
 */

public class RelExpDir implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private Integer idRelExpDir;
	private Integer idExpediente;
	private Integer idDireccion;
	private String usuarioRegistro;

	/**
	 * Method 'RelExpDir'.
	 */
	public RelExpDir() {
	}

	/**
	 * Method 'RelExpDir'.
	 * 
	 * @param idRelExpDir
	 *            Integer
	 */
	public RelExpDir(Integer idRelExpDir) {
		this.idRelExpDir = idRelExpDir;
	}

	/**
	 * Method 'RelExpDir'.
	 * 
	 * @param idRelExpDir
	 *            Integer
	 * @param idExpediente
	 *            Integer
	 * @param idDireccion
	 *            Integer
	 * @param usuarioRegistro
	 *            String
	 */
	public RelExpDir(Integer idRelExpDir, Integer idExpediente, Integer idDireccion, String usuarioRegistro) {

		this.idRelExpDir = idRelExpDir;
		this.idExpediente = idExpediente;
		this.idDireccion = idDireccion;
		this.usuarioRegistro = usuarioRegistro;
	}

	/**
	 * Method 'getIdRelExpDir'.
	 *
	 * @return Integer
	 */

	public Integer getIdRelExpDir() {
		return this.idRelExpDir;
	}

	/**
	 * Method 'setIdRelExpDir'.
	 *
	 * @param idRelExpDir
	 *            Integer
	 * @return
	 */

	public void setIdRelExpDir(Integer idRelExpDir) {
		this.idRelExpDir = idRelExpDir;
	}

	/**
	 * Method 'getIdExpediente'.
	 *
	 * @return Integer
	 */

	public Integer getIdExpediente() {
		return this.idExpediente;
	}

	/**
	 * Method 'setIdExpediente'.
	 *
	 * @param idExpediente
	 *            Integer
	 * @return
	 */

	public void setIdExpediente(Integer idExpediente) {
		this.idExpediente = idExpediente;
	}

	/**
	 * Method 'getIdDireccion'.
	 *
	 * @return Integer
	 */

	public Integer getIdDireccion() {
		return this.idDireccion;
	}

	/**
	 * Method 'setIdDireccion'.
	 *
	 * @param idDireccion
	 *            Integer
	 * @return
	 */

	public void setIdDireccion(Integer idDireccion) {
		this.idDireccion = idDireccion;
	}

	/**
	 * Method 'getUsuarioRegistro'.
	 *
	 * @return String
	 */

	public String getUsuarioRegistro() {
		return this.usuarioRegistro;
	}

	/**
	 * Method 'setUsuarioRegistro'.
	 *
	 * @param usuarioRegistro
	 *            String
	 * @return
	 */

	public void setUsuarioRegistro(String usuarioRegistro) {
		this.usuarioRegistro = usuarioRegistro;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * 
	 * @return String
	 */
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		result.append(" [ idRelExpDir: ").append(this.idRelExpDir).append(" ]");
		result.append(", [ idExpediente: ").append(this.idExpediente).append(" ]");
		result.append(", [ idDireccion: ").append(this.idDireccion).append(" ]");
		result.append(", [ usuarioRegistro: ").append(this.usuarioRegistro).append(" ]");
		result.append("}");
		return result.toString();
	}

}
